Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource.css
Class CSSVisitorImpl

    java.lang.Object
      org.richfaces.resource.css.AbstractCSSVisitor
          org.richfaces.resource.css.CSSVisitorImpl

    public final class CSSVisitorImpl

extends AbstractCSSVisitor

Author:
  Nick Belaevski

Constructor Summary
`CSSVisitorImpl(javax.faces.context.FacesContext facesContext)`

Method Summary
`java.lang.String` | `convertStreamToString(java.io.InputStream is, java.lang.String encoding)`
`protected void` | `endFontRule(org.w3c.dom.css.CSSFontFaceRule rule)`
`protected void` | `endMediaRule(org.w3c.dom.css.CSSMediaRule rule)`
`protected void` | `endPageRule(org.w3c.dom.css.CSSPageRule rule)`
`protected void` | `endStyleRule(org.w3c.dom.css.CSSStyleRule rule)`
`protected void` | `endStyleSheet(org.w3c.dom.css.CSSStyleSheet styleSheet)`
`java.lang.String` | `getCSSText()`
`java.lang.String` | `getEncoding()`
`void` | `setEncoding(java.lang.String encoding)`
`protected void` | `startFontRule(org.w3c.dom.css.CSSFontFaceRule rule)`
`protected void` | `startMediaRule(org.w3c.dom.css.CSSMediaRule rule)`
`protected void` | `startPageRule(org.w3c.dom.css.CSSPageRule rule)`
`protected void` | `startStyleRule(org.w3c.dom.css.CSSStyleRule rule)`
`protected void` | `startStyleSheet(org.w3c.dom.css.CSSStyleSheet styleSheet)`
`void` | `visitCharsetRule(org.w3c.dom.css.CSSCharsetRule rule)`
`void` | `visitImportRule(org.w3c.dom.css.CSSImportRule rule)`
`void` | `visitStyleDeclaration(org.w3c.dom.css.CSSStyleDeclaration styleDeclaration)`
`void` | `visitUnknownRule(org.w3c.dom.css.CSSUnknownRule rule)`

Methods inherited from class org.richfaces.resource.css.AbstractCSSVisitor
`visitFontFaceRule, visitMediaRule, visitPageRule, visitRule, visitStyleRule, visitStyleSheet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSSVisitorImpl

    public CSSVisitorImpl(javax.faces.context.FacesContext facesContext)

Method Detail

### visitUnknownRule

    public void visitUnknownRule(org.w3c.dom.css.CSSUnknownRule rule)

  Specified by:
    `visitUnknownRule` in class `AbstractCSSVisitor`

### visitCharsetRule

    public void visitCharsetRule(org.w3c.dom.css.CSSCharsetRule rule)

  Specified by:
    `visitCharsetRule` in class `AbstractCSSVisitor`

### visitImportRule

    public void visitImportRule(org.w3c.dom.css.CSSImportRule rule)

  Specified by:
    `visitImportRule` in class `AbstractCSSVisitor`

### startFontRule

    protected void startFontRule(org.w3c.dom.css.CSSFontFaceRule rule)

  Specified by:
    `startFontRule` in class `AbstractCSSVisitor`

### endFontRule

    protected void endFontRule(org.w3c.dom.css.CSSFontFaceRule rule)

  Specified by:
    `endFontRule` in class `AbstractCSSVisitor`

### startMediaRule

    protected void startMediaRule(org.w3c.dom.css.CSSMediaRule rule)

  Specified by:
    `startMediaRule` in class `AbstractCSSVisitor`

### endMediaRule

    protected void endMediaRule(org.w3c.dom.css.CSSMediaRule rule)

  Specified by:
    `endMediaRule` in class `AbstractCSSVisitor`

### startPageRule

    protected void startPageRule(org.w3c.dom.css.CSSPageRule rule)

  Specified by:
    `startPageRule` in class `AbstractCSSVisitor`

### endPageRule

    protected void endPageRule(org.w3c.dom.css.CSSPageRule rule)

  Specified by:
    `endPageRule` in class `AbstractCSSVisitor`

### startStyleRule

    protected void startStyleRule(org.w3c.dom.css.CSSStyleRule rule)

  Specified by:
    `startStyleRule` in class `AbstractCSSVisitor`

### endStyleRule

    protected void endStyleRule(org.w3c.dom.css.CSSStyleRule rule)

  Specified by:
    `endStyleRule` in class `AbstractCSSVisitor`

### startStyleSheet

    protected void startStyleSheet(org.w3c.dom.css.CSSStyleSheet styleSheet)

  Specified by:
    `startStyleSheet` in class `AbstractCSSVisitor`

### endStyleSheet

    protected void endStyleSheet(org.w3c.dom.css.CSSStyleSheet styleSheet)

  Specified by:
    `endStyleSheet` in class `AbstractCSSVisitor`

### visitStyleDeclaration

    public void visitStyleDeclaration(org.w3c.dom.css.CSSStyleDeclaration styleDeclaration)

  Specified by:
    `visitStyleDeclaration` in class `AbstractCSSVisitor`

### getEncoding

    public java.lang.String getEncoding()

### getCSSText

    public java.lang.String getCSSText()

### setEncoding

    public void setEncoding(java.lang.String encoding)

### convertStreamToString

    public java.lang.String convertStreamToString(java.io.InputStream is,
                                                  java.lang.String encoding)
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.